Subject: [CCAMP] Fw: New Version Notification for draft-ietf-ccamp-otn-topo-yang-06.txt

From: "Zhenghaomian (Zhenghaomian, Optical Technology Research Dept)" <[email-masked]>
Date: Mon, 25 Feb 2019 08:46:06 +0000

Dear WG, 

We have updated this work with the following changes: 

- Remove duplication between abstract and introduction session; 
- Add notice of requirements language;
- Update references; 
- Update YANG models to align with te-topology, which update the label-step; 

We are also having the following open issues:
- the module ietf-otn-topology now has dependency on the module ietf-otn-types, which is now included in a less mature draft-ietf-ccamp-otn-tunnel-model. As the ietf-otn-types are needed in both OTN topology and tunnels, it may be separated out as another work, to avoid the future dependency; 
- The YANG module in -06 will be aligned with ietf-otn-types in draft-ietf-ccamp-otn-tunnel-model-06, which will be updated SOON, at this very short moment we are reported some errors for YANG validation, but they will disappear. 
- Some nits detected for YANG editing, and we will fix after talking with RFC editor. 

You are welcome to review and comment, thank you.

Best wishes,
Haomian

-----邮件原件-----
发件人: [email-masked] [mailto:[email-masked]] 
发送时间: 2019年2月25日 16:34
收件人: Xufeng Liu <[email-masked]>; Oscar Gonzalez de Dios <[email-masked]>; Zhenghaomian (Zhenghaomian, Optical Technology Research Dept) <[email-masked]>; Yunbin Xu <[email-masked]>; Aihuaguo (Aihua Guo, CRC) <[email-masked]>; Oscar de Dios <[email-masked]>; Lei Wang <[email-masked]>; Sergio Belotti <[email-masked]>; Italo Busi <[email-masked]>; Anurag Sharma <[email-masked]>
主题: New Version Notification for draft-ietf-ccamp-otn-topo-yang-06.txt

A new version of I-D, draft-ietf-ccamp-otn-topo-yang-06.txt
has been successfully submitted by Haomian Zheng and posted to the IETF repository.

Name:		draft-ietf-ccamp-otn-topo-yang
Revision:	06
Title:		A YANG Data Model for Optical Transport Network Topology
Document date:	2019-02-25
Group:		ccamp
Pages:		65
URL:            https://www.ietf.org/internet-drafts/draft-ietf-ccamp-otn-topo-yang-06.txt
Status:         https://datatracker.ietf.org/doc/draft-ietf-ccamp-otn-topo-yang/
Htmlized:       https://tools.ietf.org/html/draft-ietf-ccamp-otn-topo-yang-06
Htmlized:       https://datatracker.ietf.org/doc/html/draft-ietf-ccamp-otn-topo-yang
Diff:           https://www.ietf.org/rfcdiff?url2=draft-ietf-ccamp-otn-topo-yang-06

Abstract:
   This document describes a YANG data model to describe the topologies
   of an Optical Transport Network (OTN).  It is independent of control
   plane protocols and captures topological and resource related
   information pertaining to OTN.  This model enables clients, which
   interact with a transport domain controller, for OTN topology related
   operations such as obtaining the relevant topology resource
   information.

Please note that it may take a couple of minutes from the time of submission until the htmlized version and diff are available at tools.ietf.org.

The IETF Secretariat

---

From: tom petch <[email-masked]>
Date: Tue, 26 Feb 2019 12:39:14 +0000

Some minor quirks;

The Requirements language is not the current one - you need a reference
therein to RFC8174 (and you have a lower case 'should')

IANA Considerations - RFC6020 is a better reference than RFC7950 since
all the latter says is read the former!

G.709 is referenced but is missing from the I-D References

NMDA gets mentioned in s.3.1 but the IESG like to see it in Introduction
or Abstract

Where you reference an I-D in the YANG module (which must therefore be
plain text), then to ensure the RFC Editor finds such, rather than
    "I-D.ietf-teas-yang-te-topo: YANG Data Model for
    Traffic Engineering (TE) Topologies";
 I recommend
    "RFC YYYY - YANG Data Model for
    Traffic Engineering (TE) Topologies";
Note to RFC Editor please replace YYYY with the RFC number assigned to
    "I-D.ietf-teas-yang-te-topo"
You can put all the RFC Editor notes in one place at the front - in
fact, the RFC Editor tell me they prefer it that way - but you need to
give each I-D a different reference, XXXX, YYYY, ZZZZ etc
.
Tom Petch

----- Original Message -----
From: "Zhenghaomian (Zhenghaomian, Optical Technology Research Dept)"
<[email-masked]>
To: "'CCAMP'" <[email-masked]>
Sent: Monday, February 25, 2019 8:46 AM

> - the module ietf-otn-topology now has dependency on the module
ietf-otn-types, which is now included in a less mature
draft-ietf-ccamp-otn-tunnel-model. As the ietf-otn-types are needed in
both OTN topology and tunnels, it may be separated out as another work,
to avoid the future dependency;
> - The YANG module in -06 will be aligned with ietf-otn-types in
draft-ietf-ccamp-otn-tunnel-model-06, which will be updated SOON, at
this very short moment we are reported some errors for YANG validation,
but they will disappear.
> You are welcome to review and comment, thank you.

As if I need an invitation:-)

> 收件人: Xufeng Liu <[email-masked]>; Oscar Gonzalez de Dios
<[email-masked]>; Zhenghaomian (Zhenghaomian,
Optical Technology Research Dept) <[email-masked]>; Yunbin Xu
<[email-masked]>; Aihuaguo (Aihua Guo, CRC) <[email-masked]>;
Oscar de Dios <[email-masked]>; Lei Wang
<[email-masked]>; Sergio Belotti <[email-masked]>;
Italo Busi <[email-masked]>; Anurag Sharma <[email-masked]>
> URL:
https://www.ietf.org/internet-drafts/draft-ietf-ccamp-otn-topo-yang-06.t
xt
> Status:
https://datatracker.ietf.org/doc/draft-ietf-ccamp-otn-topo-yang/
> Htmlized:
https://tools.ietf.org/html/draft-ietf-ccamp-otn-topo-yang-06
> Htmlized:
https://datatracker.ietf.org/doc/html/draft-ietf-ccamp-otn-topo-yang
> Diff:
https://www.ietf.org/rfcdiff?url2=draft-ietf-ccamp-otn-topo-yang-06
> Please note that it may take a couple of minutes from the time of
submission until the htmlized version and diff are available at
tools.ietf.org.
>
> The IETF Secretariat
>
> _______________________________________________
> CCAMP mailing list
> [email-masked]
> https://www.ietf.org/mailman/listinfo/ccamp
>